Page MenuHomePhabricator

Rename system plugin directory from /usr/lib/lldb to /usr/lib/lldb/plugins
ClosedPublic

Authored by k8stone on Apr 25 2016, 5:31 PM.

Details

Reviewers
clayborg
labath
Summary

Trivial change to create a dedicated directory for plugins. Recursively scanning /usr/lib/lldb alone has made it far too easy to add files that are dynamically loaded without meaning to (notably ASAN support libraries that then terminate the LLDB process immediately because the ASAN runtime isn't present.)

Diff Detail

Event Timeline

k8stone updated this revision to Diff 54952.Apr 25 2016, 5:31 PM
k8stone retitled this revision from to Rename system plugin directory from /usr/lib/lldb to /usr/lib/lldb/plugins.
k8stone updated this object.
k8stone added a reviewer: clayborg.
clayborg accepted this revision.Apr 26 2016, 9:34 AM
clayborg edited edge metadata.
This revision is now accepted and ready to land.Apr 26 2016, 9:34 AM
labath accepted this revision.Apr 27 2016, 1:49 AM
labath added a reviewer: labath.
labath added a subscriber: labath.

We are not depending on this directory (in fact, this is the first time I have seen it exists :) ). The new directory name sounds reasonable.

k8stone closed this revision.Apr 27 2016, 10:53 AM

Presumably we've had enough visibility here to proceed. Thanks!